## libwebcam 0.2.1

=== CMakeLists.txt ===
#
# GENERAL
#

# Require CMake 2.6 because of the Debian packaging.
cmake_minimum_required (VERSION 2.6)



#
# SUBDIRECTORIES
#

add_subdirectory (libwebcam)
add_subdirectory (uvcdynctrl)
