=== uvcdynctrl/CMakeLists.txt ===
--- 
+++ 
@@ -15,14 +15,9 @@
 
 add_executable (uvcdynctrl main.c controls.c cmdline.c)
 
-set_target_properties (uvcdynctrl PROPERTIES VERSION 0.2.0)
+set_target_properties (uvcdynctrl PROPERTIES VERSION 0.2.1)
 
 
-if (NOT DYNCTRL_DATA_DIR)
-	set_target_properties (uvcdynctrl PROPERTIES DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/uvcdynctrl")
-else (NOT DYNCTRL_DATA_DIR)
-	set_target_properties (uvcdynctrl PROPERTIES DATA_DIR ${DYNCTRL_DATA_DIR})
-endif (NOT DYNCTRL_DATA_DIR)
 
 #
 # SPECIAL FILES
@@ -51,22 +46,9 @@
 # Note how we define HAVE_CONFIG_H. This will let gengetopt pick up
 # the VERSION constant from config.h.
 get_target_property (UVCDYNCTRL_VERSION uvcdynctrl VERSION)
-get_target_property (UVCDYNCTRL_DATA_DIR uvcdynctrl DATA_DIR)
 configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
 add_definitions (-DHAVE_CONFIG_H)
 
-#create man pages
-execute_process (
-	COMMAND			sh -c "cp ${CMAKE_CURRENT_SOURCE_DIR}/uvcdynctrl.1_ ${CMAKE_CURRENT_SOURCE_DIR}/uvcdynctrl.1; cp ${CMAKE_CURRENT_SOURCE_DIR}/uvcdynctrl.1_ ${CMAKE_CURRENT_SOURCE_DIR}/uvcdynctrl-0.2.0.1; gzip --best ${CMAKE_CURRENT_SOURCE_DIR}/uvcdynctrl-0.2.0.1; gzip --best ${CMAKE_CURRENT_SOURCE_DIR}/uvcdynctrl.1;"
-	RESULT_VARIABLE		MAN_BUILD_RESULT
-	
-)
-
-if (MAN_BUILD_RESULT)
-	message(ERROR " Unable to build man pages")
-else (MAN_BUILD_RESULT)
-	message("** created man pages")
-endif (MAN_BUILD_RESULT)
 
 
 #
@@ -101,8 +83,9 @@
 # Default permissions for PROGRAMS files:  rwxr-xr-x
 # Note that having absolute paths here requires CPACK_SET_DESTDIR to be set to "ON".
 install (
-	FILES	udev/rules/85-uvcdynctrl.rules
-	DESTINATION /lib/udev/rules.d
+	DIRECTORY	udev/rules/
+	DESTINATION /etc/udev/rules.d
+	PATTERN ".svn" EXCLUDE
 )
 install (
 	PROGRAMS	udev/scripts/uvcdynctrl
@@ -110,27 +93,9 @@
 )
 install (
 	DIRECTORY	data
-	DESTINATION ${UVCDYNCTRL_DATA_DIR}
+	DESTINATION /etc/udev
 	PATTERN ".svn" EXCLUDE
 )
-install (
-	FILES	uvcdynctrl.1.gz uvcdynctrl-0.2.0.1.gz 
-	DESTINATION share/man/man1
-)
-
-
-
-
-
-
-
-
-
-
-
-
-
-
