=== debian/changelog ===
libwebcam (0.2.1-1build1) precise; urgency=low

  * No-change rebuild against current pkgbinarymangler to fix broken
    md5sums. (see LP #875466)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 29 Feb 2012 08:42:50 +0100

libwebcam (0.2.1-1) unstable; urgency=low

  [ Paulo Assis ]
  * Update to 0.2.1 (Closes: #621972)
  * Switch to dpkg-source 3.0 (quilt) format
  * Update Debian Standards Version to 3.9.2
  * Move some code not accepted in trunk to debian patches:
    - CMakeLists.patch
    - man_page.patch
    - pkgconfig.patch
    - load_store_controls.patch
    - add_controls.patch
  * Transition debian patches to DEP3 format:
    - http://dep.debian.net/deps/dep3
  * Transition debian/copyright to DEP5 format:
    - http://dep.debian.net/deps/dep5

 -- Paulo Assis <pj.assis@gmail.com>  Fri, 20 May 2011 21:47:20 +0100

libwebcam (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #568732)

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 07 Feb 2010 12:57:00 +0000
