=== debian/changelog ===
libwebcam (0.2.2-1) unstable; urgency=low

  * Update to 0.2.2 - now hosted at sourceforge
  * Remove Debian patches - merged upstream
  * Update copyright
  * Define uvcdynctrl package section to utils (Closes: #663083)
  * Update Debian Standards Version to 3.9.3

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 09 May 2012 12:12:23 +0100
