=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,32 @@
 #!/usr/bin/make -f
-
-include /usr/share/quilt/quilt.make
 
 # Uncomment this to turn on verbose mode.
 export DH_VERBOSE=1
 
+# Uncomment this to turn on all hardening flags
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# extra flags
+#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
+
+CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
+CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
+LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
+
 # shared library version
-version= 0.2.1
+version= 0.2.2
 deb_version=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 major=0
 
 builddir/Makefile:
-	dh_quilt_patch 
 	dh_testdir
 	# Add here commands to configure the package.
 	mkdir -p builddir
-	cd builddir && cmake .. -DCMAKE_INCLUDE_PATH=../common/include \
-		-DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" \
-		-DCMAKE_LD_FLAGS="-Wl,-z,defs" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
+	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" \
+		-DCMAKE_LD_FLAGS="$(LDFLAGS)" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
 		-DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
 
 #build-doxy: build-doxy-stamp
@@ -27,7 +35,11 @@
 #	doxygen
 #	touch $@
 
-build:  build-stamp
+build: build-arch build-indep
+
+build-arch:  build-stamp
+
+build-indep: build-stamp
 	
 build-stamp:  builddir/Makefile 
 	dh_testdir
@@ -36,13 +48,10 @@
 	touch $@
 
 clean: 
-	dh_quilt_unpatch
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp 
 	# Add here commands to clean up after the build process.
-	rm -rf libwebcam/pkgconfig/libwebcam.pc
-	rm -rf uvcdynctrl/*.gz
 	rm -rf builddir
 	dh_clean
