=== libwebcam/CMakeLists.txt ===
--- 
+++ 
@@ -16,8 +16,8 @@
 add_library (webcam SHARED libwebcam.c dynctrl.c)
 add_library (webcam_static STATIC libwebcam.c dynctrl.c)
 
-set_target_properties (webcam PROPERTIES VERSION 0.2.2 SOVERSION 0 CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "webcam")
-set_target_properties (webcam_static PROPERTIES VERSION 0.2.2 SOVERSION 0 CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "webcam")
+set_target_properties (webcam PROPERTIES VERSION 0.2.4 SOVERSION 0 CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "webcam")
+set_target_properties (webcam_static PROPERTIES VERSION 0.2.4 SOVERSION 0 CLEAN_DIRECT_OUTPUT 1 OUTPUT_NAME "webcam")
 
 
 
@@ -65,7 +65,7 @@
 if (PC_EXECUTE_RESULT)
 	message(ERROR " Unable to parse ${CMAKE_CURRENT_SOURCE_DIR}/pkgconfig/libwebcam.pc_base")
 else (PC_EXECUTE_RESULT)
-	message("** created libwecam.pc")
+	message("** created libwebcam.pc")
 endif (PC_EXECUTE_RESULT)
 
 
@@ -75,7 +75,11 @@
 #
 
 if (NOT DEFINED CMAKE_INSTALL_LIBDIR)
-	SET(CMAKE_INSTALL_LIBDIR "lib")
+	if (DEFINED LIB_INSTALL_DIR)
+		SET(CMAKE_INSTALL_LIBDIR ${LIB_INSTALL_DIR})
+	else (DEFINED LIB_INSTALL_DIR)
+		SET(CMAKE_INSTALL_LIBDIR "lib")
+	endif (DEFINED LIB_INSTALL_DIR)
 endif (NOT DEFINED CMAKE_INSTALL_LIBDIR)
 
 if (${CMAKE_INSTALL_LIBDIR} MATCHES "^/")
