=== debian/changelog ===
libwebcam (0.2.4-1.1ubuntu2) artful; urgency=medium

  * Feed -DCMAKE_INSTALL_LIBDIR to the build as dh(1) would do, to
    work around apparent behaviour change in cmake (LP: #1707074)

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 27 Jul 2017 16:35:48 -0600

libwebcam (0.2.4-1.1ubuntu1) vivid; urgency=medium

  * Fix installation into multiarch directories.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 04 Mar 2015 16:29:08 +0100

libwebcam (0.2.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install dynctrl-logitech.h (Closes: #770982)

 -- Matt Kraai <kraai@debian.org>  Sat, 29 Nov 2014 06:52:05 -0800

libwebcam (0.2.4-1) unstable; urgency=low

  * Bump to version 0.2.4 (Closes: #713548)

 -- Paulo Assis <pj.assis@gmail.com>  Thu, 31 Oct 2013 21:28:00 +0100
 

libwebcam (0.2.3-1) unstable; urgency=low

  * Bump version to 0.2.3

 -- Paulo Assis <pj.assis@gmail.com>  Wed, 07 Aug 2013 11:16:00 +0100
