=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)
 
 # shared library version
-version= 0.2.2
+version= 0.2.4
 deb_version=$(shell dpkg-parsechangelog | sed -n 's/^Version: //p')
 
 major=0
@@ -27,6 +27,7 @@
 	mkdir -p builddir
 	cd builddir && cmake .. -DCMAKE_INSTALL_PREFIX=/usr -DCMAKE_C_FLAGS="$(CFLAGS)" \
 		-DCMAKE_LD_FLAGS="$(LDFLAGS)" -DCMAKE_CXX_FLAGS="$(CXXFLAGS)" \
+		-DCMAKE_INSTALL_LIBDIR="lib/$(shell dpkg-architecture -qDEB_HOST_MULTIARCH)" \
 		-DCMAKE_SKIP_RPATH=ON -DCMAKE_VERBOSE_MAKEFILE=ON
 
 #build-doxy: build-doxy-stamp
