=== debian/changelog ===
libwebcam (0.2.5-5) unstable; urgency=medium

  * 'd/control':
    - Adopt package. (Closes: #1032678)
    - Update 'Standards-Version to 4.7.0, no changes required.
    - Update 'Build-Depends', pkg-config to pkgconf.
  * 'd/copyright':
    - Add myself, Phil Wyett to 'Files: debian/*' section.
  * 'd/rules':
    - Disable 'DH_VERBOSE'.
  * Add 'd/watch' file to package.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 28 Sep 2024 10:14:03 +0100

libwebcam (0.2.5-4) unstable; urgency=medium

  * QA upload.
  * Use udev.pc to place udev files

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 09 Dec 2023 00:20:21 +0100

libwebcam (0.2.5-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + libwebcam0: Add Multi-Arch: same.
    + uvcdynctrl-data: Add Multi-Arch: foreign.

  [ Boyuan Yang ]
  * Orphan the package. (See #1032678)
  * Do not mention nonexistent Texinfo in man page. (LP: #1933287)

 -- Boyuan Yang <byang@debian.org>  Fri, 16 Jun 2023 23:28:48 -0400

libwebcam (0.2.5-2) unstable; urgency=medium

  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Restrict architecture to linux-any.
  * debian/patches: Add patch to fix package reproducibility.
    (Closes: #787999)
  * debian/changelog: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Aug 2022 19:44:40 -0400

libwebcam (0.2.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #917935) (Closes: #733094)
    + Fixes unconditinoal filling up /var. (LP: #811604) (LP: #1902429)
  * debian/control:
    + Take over package maintenance. (Closes: #1017102)
    + Use Priority: optional.
    + Add Vcs-* fields.
    + Bump debhelper compat to v13.
    + Set homepage to SourceForge.
  * debian/rules: Migrate to dh13 syntax. (Closes: #878475)
  * Migrate to automatic -dbgsym packages.
  * debian/: Apply wrap-and-sort -abst.
  * debian/README.source: Dropped, useless.
  * debian/patches: Drop all old patches, merged upstream.
  * debian/docs: Updated, do not include CMakeLists.txt
  * debian/*.dirs: Dropped, useless.
  * debian/docs: Moved to libwebcam0-dev.docs.

 -- Boyuan Yang <byang@debian.org>  Sun, 21 Aug 2022 16:17:41 -0400
