=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Uncomment this to turn on all hardening flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export deb_udevdir = $(shell pkg-config --variable=udevdir udev | sed s,^/,,)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DUDEVDIR=/$(deb_udevdir)
